protozero::invalid_length_exception Struct Reference

`#include <exception.hpp>`

Inheritance diagram for protozero::invalid_length_exception:
[legend]
Collaboration diagram for protozero::invalid_length_exception:
[legend]

## Public Member Functions

const char * | what () const noexcept override
| Returns the explanatory string.
Public Member Functions inherited from protozero::exception
const char * | what () const noexcept override
| Returns the explanatory string.

## Detailed Description

This exception is thrown when a length field of a packed repeated field is invalid. For fixed size types the length must be a multiple of the size of the type.

The documentation for this struct was generated from the following file:

- include/protozero/exception.hpp